PIP-WHEEL(1)

NAME
pip-wheel - description of pip wheel command

DESCRIPTION

Build Wheel archives for your requirements and dependencies.

Wheel is a built-package format, and offers the advantage of not recompiling your software during every install. For more details, see the wheel docs: <https://wheel.readthedocs.io/en/latest/>

'pip wheel' uses the build system interface as described here: <https://pip.pypa.io/en/stable/reference/build-system/>

USAGE

    python -m pip wheel [options] <requirement specifier> ...
    python -m pip wheel [options] -r <requirements file> ...
    python -m pip wheel [options] [-e] <vcs project url> ...
    python -m pip wheel [options] [-e] <local project path> ...
    python -m pip wheel [options] <archive url/path> ...

OPTIONS

-w, --wheel-dir <dir>
    Build wheels into <dir>, where the default is the current working directory.

    (environment variable: PIP_WHEEL_DIR)

--no-build-isolation
    Disable isolation when building a modern source distribution. Build dependencies specified by PEP 518 must be already installed if this option is used.

    (environment variable: PIP_NO_BUILD_ISOLATION)

--check-build-dependencies
    Check the build dependencies.

    (environment variable: PIP_CHECK_BUILD_DEPENDENCIES)

-c, --constraint <file>
    Constrain versions using the given constraints file. This option can be used multiple times.

    (environment variable: PIP_CONSTRAINT)

--build-constraint <file>
    Constrain build dependencies using the given constraints file. This option can be used multiple times.

    (environment variable: PIP_BUILD_CONSTRAINT)

-e, --editable <path/url>
    Install a project in editable mode (i.e. setuptools "develop mode") from a local project path or a VCS url.

    (environment variable: PIP_EDITABLE)

-r, --requirement <file>
    Install from the given requirements file. This option can be used multiple times.

    (environment variable: PIP_REQUIREMENT)

--requirements-from-script <file>
    Install dependencies of the given script fileas defined by PEP 723 inline metadata.

    (environment variable: PIP_REQUIREMENTS_FROM_SCRIPT)

--src <dir>
    Directory to check out editable projects into. The default in a virtualenv is "<venv path>/src". The default for global installs is "<current dir>/src".

    (environment variable: PIP_SRC, PIP_SOURCE, PIP_SOURCE_DIR, PIP_SOURCE_DIRECTORY)

--ignore-requires-python
    Ignore the Requires-Python information.

    (environment variable: PIP_IGNORE_REQUIRES_PYTHON)

--no-deps
    Don't install package dependencies.

    (environment variable: PIP_NO_DEPS, PIP_NO_DEPENDENCIES)

--progress-bar <progress_bar>
    Specify whether the progress bar should be used. In 'auto' mode, --quiet will suppress all progress bars. [auto, on, off, raw] (default: auto)

    (environment variable: PIP_PROGRESS_BAR)

--no-verify
    Don't verify if built wheel is valid.

    (environment variable: PIP_NO_VERIFY)

-C, --config-settings <settings>
    Configuration settings to be passed to the build backend. Settings take the form KEY=VALUE. Use multiple --config-settings options to pass multiple keys to the backend.

    (environment variable: PIP_CONFIG_SETTINGS)

--require-hashes
    Require a hash to check each requirement against, for repeatable installs. This option is implied when any package in a requirements file has a --hash option.

    (environment variable: PIP_REQUIRE_HASHES)

--group <[path:]group>
    Install a named dependency-group from a "pyproject.toml" file. If a path is given, the name of the file must be "pyproject.toml". Defaults to using "pyproject.toml" in the current directory.

    (environment variable: PIP_GROUP)

--no-clean
    Don't clean up build directories.

    (environment variable: PIP_NO_CLEAN)

Author
pip developers

Copyright
The pip developers